Last Comment Bug 465731 - Don't include toolbar.css in application chrome
: Don't include toolbar.css in application chrome
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 23.0
Assigned To: Magnus Melin
:
Mentors:
Depends on: 404229
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 07:23 PST by Joey Minta
Modified: 2013-04-01 11:57 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (6.98 KB, patch)
2008-11-19 07:23 PST, Joey Minta
mkmelin+mozilla: review+
Details | Diff | Splinter Review
proposed fix (13.62 KB, patch)
2013-03-18 13:21 PDT, Magnus Melin
bwinton: review+
Details | Diff | Splinter Review

Description Joey Minta 2008-11-19 07:23:18 PST
Created attachment 348973 [details] [diff] [review]
patch v1

After bug 404229, we don't need toolbar.css just to make our buttons work. See also http://hg.mozilla.org/mozilla-central/rev/2686d82a880c
Comment 1 Magnus Melin 2008-11-20 11:42:55 PST
Comment on attachment 348973 [details] [diff] [review]
patch v1

Looks good to me, r=mkmelin
Comment 2 Phil Ringnalda (:philor, back in August) 2008-11-20 13:26:21 PST
Except that bug 404229 got backed out and denied the right to get back into 1.9.1.
Comment 3 Joey Minta 2008-11-20 13:28:45 PST
Bummer, guess I won't be landing this for awhile.
Comment 4 Wayne Mery (:wsmwk, NI for questions) 2013-03-17 19:16:19 PDT
(In reply to Phil Ringnalda (:philor) from comment #2)
> Except that bug 404229 got backed out and denied the right to get back into
> 1.9.1.

landed in 2009. so this patch can land, if still needed.
Comment 5 Magnus Melin 2013-03-18 13:21:16 PDT
Created attachment 726313 [details] [diff] [review]
proposed fix

Needless to say, the patch had severely bitrotted, but this should be it.
Comment 6 Blake Winton (:bwinton) (:☕️) 2013-04-01 08:41:46 PDT
Comment on attachment 726313 [details] [diff] [review]
proposed fix

It has bitrotted again, but a little "%s/gnomestripe/linux/g", etc has fixed it up, and so it's that version that I'll review.

> find mail/themes/ -type f -exec sed -i '/@import url("chrome:\/\/global\/skin\/toolbar.css");/d' {} \;

Hmm.  I wonder if it would have been easier to just re-run this instead of patching the diff?  :)

Anyways, it does what it says on the box, and doesn't seem to break anything.  r=me, for the de-bitrotted version.

Thanks,
Blake.
Comment 7 Magnus Melin 2013-04-01 11:57:51 PDT
http://hg.mozilla.org/comm-central/rev/e5d09a5e78c0 -> FIXED

Note You need to log in before you can comment on or make changes to this bug.